Reinforcement UShapeRebar/es: Difference between revisions

From FreeCAD Documentation
(Created page with "==Descripción==")
(Updating to match new version of source page)
(35 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommandAddon|Name=Arch Rebar UShape|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_LShape|LShape Rebar]]}}
<div class="mw-translate-fuzzy">
{{docnav/es|[[Arch_Rebar_Straight|Straight Rebar/es]]|[[Arch_Rebar_LShape|LShape Rebar/es]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_Straight.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_LShape.svg}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommandAddon/es|Name=Arch Rebar UShape|Name/es= Arch Barra de Refuerzo en Forma de U|Workbenches=[[Arch Module/es|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_LShape/es|LShape Rebar]]}}
</div>


==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
The {{KEY|[[Image:UShapeRebar.png|16px]] UShape Rebar}} tool allows user to create a UShape reinforcing bar in the structural element.
La herramienta {{KEY | [[Image: UShapeRebar.png | 16px]] UShape Rebar}} permite al usuario crear una barra de refuerzo de forma de U en el elemento estructural.
</div>


The {{Button|[[Image:Arch Rebar UShape.svg|16px]] [[Arch Rebar UShape|UShape Rebar]]}} tool is also integrated into [[BIM_Workbench|BIM Workbench]].

This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:AddonManager.svg|24px]] [[Addon Manager|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.

[[Image:Arch_Rebar_UShape_example.png|400px]]
<div class="mw-translate-fuzzy">
[[Image:Footing UShapeRebar.png|800px]]
[[Image:Footing UShapeRebar.png|800px]]
</div>


==How to use==
==Utilización==


<div class="mw-translate-fuzzy">
# Create a [[Arch Structure|structure]] element
# Select any face of the structure
# Crear un elemento [[Arch Structure | structure]]
# Seleccione cualquier cara de la estructura
# Then select {{KEY|[[Image:UShapeRebar.png|16px]] UShape Rebar}} from the rebar tools
# A continuación, seleccione {{KEY | [[Image: UShapeRebar.png | 16px]] UShape Rebar}} desde las herramientas de la barra de refuerzo
# A task panel will pop-out on the left side of the screen as shown below [[Image:UShapeDialog.png|250px]]
# Aparecerá un panel de tareas en el lado izquierdo de la pantalla como se muestra a continuación [[Image: UShapeDialog.png | 250px]]
# Select the desired orientation
# Seleccione la orientación deseada
# Give the inputs like front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
# Proporcione las entradas como la cubierta frontal, la cubierta lateral derecha, la cubierta lateral izquierda, la cubierta inferior, la cubierta superior, el factor de redondeo y el diámetro de la barra de refuerzo
# Select the mode of distribution either amount or spacing
# Seleccione el modo de distribución, ya sea cantidad o espaciado
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Si se selecciona el espaciado, un usuario también puede optar por [[Custom_Spacing | espaciado personalizado]]
# Pick selected face is used to verify or change the face for rebar distribution
# La selección de la cara seleccionada se usa para verificar o cambiar la cara de la distribución de barras de refuerzo
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Haga clic en {{KEY | OK}} o {{KEY | Apply}} para generar las barras de refuerzo
# Click {{KEY|Cancel}} to exit the task panel
# Haga clic en {{KEY | Cancel}} para salir del panel de tareas
</div>


:[[Image:UShapeDialog.png|250px]]
==Properties==
{{Caption|Taskview panel for the Arch Rebar UShape tool}}


==Propiedades==
* {{PropertyData|Orientation}}: It decides the orientation of the rebar (like a bottom, top, right and left).
* {{PropertyData|Front Cover}}: The distance between rebar and selected face.
* {{PropertyData|Right Cover}}: The distance between the right end of the rebar to right face of the structure.
* {{PropertyData|Left Cover}}: The distance between the left end of the rebar to the left face of the structure.
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
* {{PropertyData|Rounding}}: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
* {{PropertyData|Amount}}: The amount of rebars.
* {{PropertyData|Spacing}}: The distance between the axes of each bar.


* {{PropertyData/es | Orientation}}: Decide la orientación de la barra de refuerzo (como una parte inferior, superior, derecha e izquierda).
==Scripting==
* {{PropertyData/es | Front Cover}}: la distancia entre la barra de refuerzo y la cara seleccionada.
* {{PropertyData/es | Right Cover}}: la distancia entre el extremo derecho de la barra de refuerzo a la derecha de la estructura.
* {{PropertyData/es | Left Cover}}: la distancia entre el extremo izquierdo de la barra de refuerzo a la cara izquierda de la estructura.
* {{PropertyData/es | Bottom Cover}}: la distancia entre las barras de refuerzo desde la cara inferior de la estructura.
* {{PropertyData/es | Top Cover}}: la distancia entre barras de refuerzo desde la cara superior de la estructura.
* {{PropertyData/es | Rounding}}: Un valor de redondeo que se aplicará a las esquinas de las barras, expresado en veces el diámetro.
* {{PropertyData/es | Amount}}: la cantidad de barras de refuerzo.
* {{PropertyData/es | Spacing}}: la distancia entre los ejes de cada barra.


<div class="mw-translate-fuzzy">
The {{KEY|[[Image:UShapeRebar.png|16px]] UShape Rebar}} tool can by used in [[macros]] and from the python console by using the following function:
==Programación==
</div>


<div class="mw-translate-fuzzy">
La herramienta {{KEY|[[Image: UShapeRebar.png|16px]] UShape Rebar}} puede utilizarse en [[macros/es|macros]] y desde la consola de python utilizando la siguiente función:
</div>
{{Code|code=
{{Code|code=
Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
makeUShapeRebar(FrontCover, BottomCover, RightCover, LeftCover, Diameter, Topcover, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
structure=None, facename=None)
}}
}}
* The UShape Rebar have four different orientations:
** Bottom
** Top
** Right
** Left
* Adds a UShape reinforcing bar object to the given structural object.
* If no Structure and Facename is given, it will take user selected face as input.
* Returns the new Rebar object.


<div class="mw-translate-fuzzy">
Example:
* La barra de refuerzo de forma de U tiene cuatro orientaciones diferentes:
Creating UShape rebar.
** Fondo
** Parte superior
** Correcto
** Izquierda
* Agrega un objeto de barra de refuerzo de forma de US al objeto estructural dado.
* Si no se proporciona Estructura y Facename, tomará la cara seleccionada por el usuario como entrada.
* Devuelve el nuevo objeto Rebar.
</div>

<div class="mw-translate-fuzzy">
Ejemplo:
Creando la barra de refuerzo de forma de U.
</div>
{{Code|code=
{{Code|code=
import Arch, UShapeRebar
import FreeCAD, Arch, UShapeRebar

structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
Structure = Arch.makeStructure(length=1000, width=1000, height=400)
structure.ViewObject.Transparency = 80
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

rebar = UShapeRebar.makeUShapeRebar(20, 20, 20, 20, 8, 20, 4, True, 10, "Bottom", structure, "Face1")
Rebar = UShapeRebar.makeUShapeRebar(50, 20, 20, 20,
8, 50, 4, True, 6, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = UShapeRebar.makeUShapeRebar(50, 50, 20, 20,
8, 50, 4, True, 6, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
}}
}}


<div class="mw-translate-fuzzy">
Changing properties of UShape rebar.
Cambio de propiedades de la barra de refuerzo de forma de U.
</div>
{{Code|code=
editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
structure=None, facename=None)
}}

* {{incode|Rebar}} is a previously created {{incode|UShapeRebar}} object.
* The other parameters are the same as required by the {{incode|makeUShapeRebar()}} function.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.

{{Code|code=
{{Code|code=
import UShapeRebar
import UShapeRebar

UShapeRebar.editUShapeRebar(rebar, 25, 25, 25, 25, 16, 25, 2, True, 15, "Top")
UShapeRebar.editUShapeRebar(Rebar, 50, 50, 20, 20,
16, 20, 5, True, 5, "Top")

UShapeRebar.editUShapeRebar(Rebar2, 70, 50, 20, 20,
16, 70, 5, True, 5, "Top")
}}
}}
<div class="mw-translate-fuzzy">
[[Category:Arch/es]]
</div>


{{Arch Tools navi{{#translation:}}}}
{{clear}}

<languages/>
{{Userdocnavi{{#translation:}}}}

[[Category:Reinforcement{{#translation:}}]]

Revision as of 20:06, 23 September 2020

Arch Barra de Refuerzo en Forma de U

Ubicación del menú
Arch → Rebar tools
Bancos de trabajo
Arch
Acceso directo
None
Ver también
LShape Rebar
 
Este comando es parte del Reinforcement AddOn, que puedes instalar a través del menú Tools → Addons Manager

Descripción

La herramienta UShape Rebar permite al usuario crear una barra de refuerzo de forma de U en el elemento estructural.

The UShape Rebar tool is also integrated into BIM Workbench.

This command is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager via the Tools → Addon manager → Reinforcement menu.

Utilización

  1. Crear un elemento structure
  2. Seleccione cualquier cara de la estructura
  3. A continuación, seleccione UShape Rebar desde las herramientas de la barra de refuerzo
  4. Aparecerá un panel de tareas en el lado izquierdo de la pantalla como se muestra a continuación
  5. Seleccione la orientación deseada
  6. Proporcione las entradas como la cubierta frontal, la cubierta lateral derecha, la cubierta lateral izquierda, la cubierta inferior, la cubierta superior, el factor de redondeo y el diámetro de la barra de refuerzo
  7. Seleccione el modo de distribución, ya sea cantidad o espaciado
  8. Si se selecciona el espaciado, un usuario también puede optar por espaciado personalizado
  9. La selección de la cara seleccionada se usa para verificar o cambiar la cara de la distribución de barras de refuerzo
  10. Haga clic en OK o Apply para generar las barras de refuerzo
  11. Haga clic en Cancel para salir del panel de tareas

Taskview panel for the Arch Rebar UShape tool

Propiedades

  • DATOS Orientation: Decide la orientación de la barra de refuerzo (como una parte inferior, superior, derecha e izquierda).
  • DATOS Front Cover: la distancia entre la barra de refuerzo y la cara seleccionada.
  • DATOS Right Cover: la distancia entre el extremo derecho de la barra de refuerzo a la derecha de la estructura.
  • DATOS Left Cover: la distancia entre el extremo izquierdo de la barra de refuerzo a la cara izquierda de la estructura.
  • DATOS Bottom Cover: la distancia entre las barras de refuerzo desde la cara inferior de la estructura.
  • DATOS Top Cover: la distancia entre barras de refuerzo desde la cara superior de la estructura.
  • DATOS Rounding: Un valor de redondeo que se aplicará a las esquinas de las barras, expresado en veces el diámetro.
  • DATOS Amount: la cantidad de barras de refuerzo.
  • DATOS Spacing: la distancia entre los ejes de cada barra.

Programación

La herramienta UShape Rebar puede utilizarse en macros y desde la consola de python utilizando la siguiente función:

Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                        structure=None, facename=None)
  • La barra de refuerzo de forma de U tiene cuatro orientaciones diferentes:
    • Fondo
    • Parte superior
    • Correcto
    • Izquierda
  • Agrega un objeto de barra de refuerzo de forma de US al objeto estructural dado.
  • Si no se proporciona Estructura y Facename, tomará la cara seleccionada por el usuario como entrada.
  • Devuelve el nuevo objeto Rebar.

Ejemplo: Creando la barra de refuerzo de forma de U.

import FreeCAD, Arch, UShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = UShapeRebar.makeUShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = UShapeRebar.makeUShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Cambio de propiedades de la barra de refuerzo de forma de U.

editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar is a previously created UShapeRebar object.
  • The other parameters are the same as required by the makeUShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import UShapeRebar

UShapeRebar.editUShapeRebar(Rebar, 50, 50, 20, 20,
                            16, 20, 5, True, 5, "Top")

UShapeRebar.editUShapeRebar(Rebar2, 70, 50, 20, 20,
                            16, 70, 5, True, 5, "Top")